public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Anthony G. Basile" <blueness@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-vpn/i2pd/
Date: Sun, 10 Dec 2017 02:27:53 +0000 (UTC)	[thread overview]
Message-ID: <1512872739.95f65b1f66b47c08e0faf9b388ae58d82789a43b.blueness@gentoo> (raw)

commit:     95f65b1f66b47c08e0faf9b388ae58d82789a43b
Author:     Alexey Korepanov <kaikaikai <AT> yandex <DOT> ru>
AuthorDate: Wed Dec  6 11:17:11 2017 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Sun Dec 10 02:25:39 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95f65b1f

net-vpn/i2pd: 2.17.0 version bump

Signed-off-by: Anthony G. Basile <blueness <AT> gentoo.org>

 net-vpn/i2pd/Manifest           |   1 +
 net-vpn/i2pd/i2pd-2.17.0.ebuild | 105 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 106 insertions(+)

diff --git a/net-vpn/i2pd/Manifest b/net-vpn/i2pd/Manifest
index 08f53ea0170..af7dc916a37 100644
--- a/net-vpn/i2pd/Manifest
+++ b/net-vpn/i2pd/Manifest
@@ -1,3 +1,4 @@
 DIST i2pd-2.14.0.tar.gz 1906272 SHA256 3cb5751d9584449721e2f3ae878411b652863fa7093994f1d8cce1fd3b40bf71 SHA512 39e6cc0ed0456b93c9a7462e5630d7be87c3dda91887bef7aec50b404212f1cef02b94488ded1918eaf4264d9be5da767dab4652cf2b8470fadfa89886e42e7b WHIRLPOOL fcfb403889f33a0cce4ed9d9508b59c5deeade85230aec4929b0ee3a00ec57d9c3bf9644e13796e158bd1cd893f69b0cb9f86dba25543e0348ed743188dd3d2c
 DIST i2pd-2.15.0.tar.gz 1834673 SHA256 87649a1963b1d1b8f9424c0bccbdf6bbde0bb87db8dcf0b5c61f4c7f13181b86 SHA512 78f3b14ef7c4896528c6bd54adfcd251f3a94a0e9315924e8a9b58e3e6d0cc2c9334026d2faa9bff9da5dd3c4195e84473161ed7911c5e0155a79f456033f077 WHIRLPOOL 69c69fde4db194ee8a932a955b7e8088370a39782e96db9e730efabf4cf904b9a01ada732ce043064b8e950b1b9e995909da31889ebdb9a141d6a9e1a366d2a0
 DIST i2pd-2.16.0.tar.gz 1872885 SHA256 0a8fbc76422ba3452d281f31dbd55bc2e3da3b6bb2bc689b3b93c8039b6edfcd SHA512 ac005e68ca77eb44da801b6ddb97859a1dee61009e5940c109001026eedf9b664c3c1737e17b5f7da6b690f9557d998f1f67c0996a7a6e7473e966068ec9a55b WHIRLPOOL 4bb301d981441de364a9a9ac59b70fe606ac98d720273a0aa71965bd9212259ca7823a2cf00f9e2b58f1aee8be305c92db8797e3ddcadad5a809baca92a1cc16
+DIST i2pd-2.17.0.tar.gz 1874984 SHA256 9afc79427300cabd4e50216466bcb5be980aee841dc2aea17a8c2ab60cd7918b SHA512 ea962b8c52bfbfe211aec9e6d73bf630d7680745c915eaf12e468dc02c8c492edf95ac55b4c131e1391cf0d97ba08d58f05e9652d5b2594b839730317b4c8f6e WHIRLPOOL 41698d7eddb459f22eec69e4be1b0953b89b3b5b1bbaf6ee5ac6acb79968c354d2a9a057479bc237b4b5566a65828f0fd1c0117f42556e574cdd11130aae3865

diff --git a/net-vpn/i2pd/i2pd-2.17.0.ebuild b/net-vpn/i2pd/i2pd-2.17.0.ebuild
new file mode 100644
index 00000000000..de35d0cc72b
--- /dev/null
+++ b/net-vpn/i2pd/i2pd-2.17.0.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit eutils systemd user cmake-utils
+
+DESCRIPTION="A C++ daemon for accessing the I2P anonymous network"
+HOMEPAGE="https://github.com/PurpleI2P/i2pd"
+SRC_URI="https://github.com/PurpleI2P/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="cpu_flags_x86_aes i2p-hardening libressl static +upnp websocket"
+
+# if using libressl, require >=boost-1.65, see #597798
+RDEPEND="!static? ( dev-libs/boost[threads]
+			!libressl? ( dev-libs/openssl:0[-bindist] )
+			libressl? ( dev-libs/libressl:0
+						>=dev-libs/boost-1.65 )
+			sys-libs/zlib
+			upnp? ( net-libs/miniupnpc )
+		)"
+DEPEND="${RDEPEND}
+	static? ( dev-libs/boost[static-libs,threads]
+		!libressl? ( dev-libs/openssl:0[static-libs] )
+		libressl? ( dev-libs/libressl:0[static-libs]
+					>=dev-libs/boost-1.65 )
+		sys-libs/zlib[static-libs]
+		upnp? ( net-libs/miniupnpc[static-libs] ) )
+	websocket? ( dev-cpp/websocketpp )
+	i2p-hardening? ( >=sys-devel/gcc-4.7 )
+	|| ( >=sys-devel/gcc-4.7 >=sys-devel/clang-3.3 )"
+
+I2PD_USER=i2pd
+I2PD_GROUP=i2pd
+
+CMAKE_USE_DIR="${S}/build"
+
+DOCS=( README.md contrib/i2pd.conf contrib/tunnels.conf )
+
+PATCHES=( "${FILESDIR}/${PN}-2.14.0-fix_installed_components.patch" )
+
+src_configure() {
+	mycmakeargs=(
+		-DWITH_AESNI=$(usex cpu_flags_x86_aes ON OFF)
+		-DWITH_HARDENING=$(usex i2p-hardening ON OFF)
+		-DWITH_PCH=OFF
+		-DWITH_STATIC=$(usex static ON OFF)
+		-DWITH_UPNP=$(usex upnp ON OFF)
+		-DWITH_WEBSOCKETS=$(usex websocket ON OFF)
+		-DWITH_LIBRARY=ON
+		-DWITH_BINARY=ON
+	)
+	cmake-utils_src_configure
+}
+
+src_install() {
+	cmake-utils_src_install
+
+	# config
+	insinto /etc/i2pd
+	doins contrib/i2pd.conf
+	doins contrib/tunnels.conf
+
+	# grant i2pd group read and write access to config files
+	fowners "root:${I2PD_GROUP}" \
+		/etc/i2pd/i2pd.conf \
+		/etc/i2pd/tunnels.conf
+	fperms 660 \
+		/etc/i2pd/i2pd.conf \
+		/etc/i2pd/tunnels.conf
+
+	# working directory
+	keepdir /var/lib/i2pd
+	insinto /var/lib/i2pd
+	doins -r contrib/certificates
+	fowners "${I2PD_USER}:${I2PD_GROUP}" /var/lib/i2pd/
+	fperms 700 /var/lib/i2pd/
+
+	# add /var/lib/i2pd/certificates to CONFIG_PROTECT
+	doenvd "${FILESDIR}/99i2pd"
+
+	# openrc and systemd daemon routines
+	newconfd "${FILESDIR}/i2pd-2.6.0-r3.confd" i2pd
+	newinitd "${FILESDIR}/i2pd-2.6.0-r3.initd" i2pd
+	systemd_newunit "${FILESDIR}/i2pd-2.6.0-r3.service" i2pd.service
+
+	# logrotate
+	insinto /etc/logrotate.d
+	newins "${FILESDIR}/i2pd-2.6.0-r3.logrotate" i2pd
+}
+
+pkg_setup() {
+	enewgroup "${I2PD_GROUP}"
+	enewuser "${I2PD_USER}" -1 -1 /var/lib/run/i2pd "${I2PD_GROUP}"
+}
+
+pkg_postinst() {
+	if [[ -f ${EROOT%/}/etc/i2pd/subscriptions.txt ]]; then
+		ewarn
+		ewarn "Configuration of the subscriptions has been moved from"
+		ewarn "subscriptions.txt to i2pd.conf. We recommend updating"
+		ewarn "i2pd.conf accordingly and deleting subscriptions.txt."
+	fi
+}


             reply	other threads:[~2017-12-10  2:27 UTC|newest]

Thread overview: 115+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-12-10  2:27 Anthony G. Basile [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-13 12:05 [gentoo-commits] repo/gentoo:master commit in: net-vpn/i2pd/ Sam James
2025-03-13 12:05 Sam James
2025-02-18 18:00 Sam James
2025-02-18  7:08 Joonas Niilola
2025-02-18  7:08 Joonas Niilola
2025-01-06  1:57 Sam James
2024-11-17 17:16 Joonas Niilola
2024-11-17 17:16 Joonas Niilola
2024-10-10  9:10 Sam James
2024-08-25 20:27 Eli Schwartz
2024-08-13 12:41 Joonas Niilola
2024-07-31 21:18 Eli Schwartz
2024-07-31 21:18 Eli Schwartz
2024-07-07  4:46 Eli Schwartz
2024-07-05 11:10 Arthur Zamarin
2024-05-20 15:27 Mike Gilbert
2024-05-20 15:27 Mike Gilbert
2024-05-20 15:27 Mike Gilbert
2024-04-24 12:10 Sam James
2024-01-16  8:39 Florian Schmaus
2024-01-16  8:39 Florian Schmaus
2023-09-21 16:28 Arthur Zamarin
2023-09-21 16:28 Arthur Zamarin
2023-09-18  9:20 Sam James
2023-07-26  7:38 Joonas Niilola
2023-07-26  7:38 Joonas Niilola
2023-06-14  4:19 Sam James
2023-04-14 19:33 Sam James
2023-04-10 10:41 Joonas Niilola
2023-02-28 13:58 Joonas Niilola
2022-12-27 10:23 Sam James
2022-12-27 10:23 Sam James
2022-12-25 16:42 Sam James
2022-10-05  7:00 Joonas Niilola
2022-10-05  7:00 Joonas Niilola
2022-05-25 18:38 Florian Schmaus
2022-05-25  7:03 Florian Schmaus
2022-02-26  2:16 Sam James
2021-12-01  5:50 Ionen Wolkens
2021-12-01  5:50 Ionen Wolkens
2021-12-01  5:50 Ionen Wolkens
2021-09-21  7:03 Joonas Niilola
2021-08-14  9:41 David Seifert
2021-06-18 19:18 David Seifert
2021-06-17 22:18 Thomas Deutschmann
2021-06-17 20:32 Thomas Deutschmann
2021-05-28  2:27 Sam James
2021-05-28  2:27 Sam James
2021-05-02 20:00 Mikle Kolyada
2021-04-30  7:19 Joonas Niilola
2021-04-30  7:19 Joonas Niilola
2021-03-20  8:25 Joonas Niilola
2021-02-24  8:31 Joonas Niilola
2021-02-24  8:31 Joonas Niilola
2021-01-09 12:55 Sam James
2020-11-08 13:05 Sam James
2020-09-04 21:52 Sam James
2020-09-04 21:52 Sam James
2020-09-04 21:52 Sam James
2020-06-08 13:41 Joonas Niilola
2020-06-08 13:41 Joonas Niilola
2020-06-08 13:41 Joonas Niilola
2020-05-28 18:20 Sergei Trofimovich
2020-04-16  8:11 Joonas Niilola
2020-04-16  8:11 Joonas Niilola
2020-04-16  8:11 Joonas Niilola
2020-04-16  8:11 Joonas Niilola
2019-11-26 14:59 Joonas Niilola
2019-11-26 14:59 Joonas Niilola
2019-11-26 14:59 Joonas Niilola
2019-10-12 16:21 Joonas Niilola
2019-10-12 16:21 Joonas Niilola
2019-08-12  6:14 Joonas Niilola
2019-08-12  6:14 Joonas Niilola
2019-06-18 10:16 Michał Górny
2019-06-18 10:16 Michał Górny
2019-06-18 10:16 Michał Górny
2019-06-06 17:11 Michał Górny
2019-05-15 21:37 Anthony G. Basile
2019-05-14 17:41 Anthony G. Basile
2019-05-14 17:41 Anthony G. Basile
2019-04-27 19:59 Anthony G. Basile
2019-02-16 18:58 Aaron Bauman
2019-01-31  0:05 Anthony G. Basile
2018-11-09 14:09 Anthony G. Basile
2018-10-27 14:30 Anthony G. Basile
2018-10-14  8:50 Sergei Trofimovich
2018-10-14  8:50 Sergei Trofimovich
2018-10-12 12:01 Anthony G. Basile
2018-10-12 12:01 Anthony G. Basile
2018-10-10  0:40 Anthony G. Basile
2018-09-08 14:41 Anthony G. Basile
2018-09-08 14:41 Anthony G. Basile
2018-09-08 14:41 Anthony G. Basile
2018-06-28 15:28 Anthony G. Basile
2018-06-28 15:28 Anthony G. Basile
2018-04-03 15:28 Jonas Stein
2018-02-07 10:56 Anthony G. Basile
2018-02-07 10:56 Anthony G. Basile
2017-12-22  9:03 Sergei Trofimovich
2017-12-21 22:41 Sergei Trofimovich
2017-12-10  2:27 Anthony G. Basile
2017-12-10  2:27 Anthony G. Basile
2017-12-10  2:27 Anthony G. Basile
2017-11-17  9:57 Anthony G. Basile
2017-10-10 18:30 Anthony G. Basile
2017-10-10 18:30 Anthony G. Basile
2017-09-27  6:26 Anthony G. Basile
2017-08-26  6:35 Patrick Lauer
2017-08-26  2:13 Anthony G. Basile
2017-08-26  2:13 Anthony G. Basile
2017-08-26  2:13 Anthony G. Basile
2017-06-05 11:24 Anthony G. Basile
2017-04-10 18:49 Anthony G. Basile

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1512872739.95f65b1f66b47c08e0faf9b388ae58d82789a43b.blueness@gentoo \
    --to=blueness@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox